----------------------------------------------------------------------
	Copyright 2002, 2003, 2004 Simon Josefsson
	Copying and distribution of this file, with or without
	modification, are permitted in any medium without royalty
	provided the copyright notice and this notice are preserved.
